/api/public/v1/bookmarks/importsbookmarks.list
Bookmark imports of this workspace (newest first): links, folders, rejected count and how many profiles still wait for or have applied each.
Parameters
This operation takes no input.
Examples
curl "https://browlix.com/api/public/v1/bookmarks/imports" \
-H "Authorization: Bearer $BROWLIX_API_KEY"Response
200 with { data, correlation_id }.
| Field | Type | Always present | Description |
|---|---|---|---|
| data | array<object> | Yes | |
| data[].id | string (uuid) | Yes | |
| data[].name | string | Yes | |
| data[].source_name | string | No | |
| data[].links | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| data[].folders | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| data[].rejected_count | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| data[].rejected | array<object> | No | Up to 50 examples (title and scheme only) |
| data[].rejected[].reason | "unsafe_scheme" | "invalid_url" | "credentials" | "too_long" | "too_deep" | "over_limit" | Yes | |
| data[].rejected[].title | string | Yes | |
| data[].rejected[].scheme | string | Yes | |
| data[].duplicates_in_file | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| data[].sha256 | string | Yes | |
| data[].created_at | string | Yes | |
| data[].pending | integer | Yes | Profiles that still wait for (or are applying) this import (min -9007199254740991, max 9007199254740991) |
| data[].applied | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| correlation_id | string (uuid) | Yes |
Errors
| Code | HTTP | Retryable |
|---|---|---|
| UNAUTHENTICATED | 401 | No |
| FORBIDDEN | 403 | No |
| RATE_LIMITED | 429 | Yes |
| DEPENDENCY_UNAVAILABLE | 503 | Yes |
| UNKNOWN | 500 | No |
